cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

What is the most advanced Mac OS that a Canon LiDe 500F will support? How about a CanoScan 3200F?

marcintosh
Apprentice

I don't use scanners a great deal 1-2 times a year so things get ahead of me sometimes.  These two scanners (Canon LiDe 500F +  CanoScan 3200F) are virtually new and neither will work.

 

I have 3 computers - I would like either of these scanners to work and any of these machines.

#1 iMac PPC G5 running OS X 10.5.8

#2 iMac 2GHz Intel Core Duo running OS X 10.6.8

#3 MacBook Pro Intel Core Duo running OS X 10.9.5 (this is now a 64 bit machine) Early 2008 4,1 model A1260

I've tried the recommended software from Canon with 0 results

I've downloaded newer Canon software from the same family of machines with 0 results

I've posted in Apple forums and anywhere else I can think of with 0 results.

 

A point in the correct direction would be greatly appreciated.

This is a Canon family, Canon Printers, EOS cameras, Copiers at work - I enjoy the way Canon does things and can't imagine I've been left behind with 2 nearly new (almost NOS) machines.

Thanks,

Mark

1 REPLY 1

jrhoffman75
Legend
Legend
http://www.usa.canon.com/cusa/support/consumer/scanners/canoscan_series/canoscan_lide_500f#DriversAn...

This didn't work?
John Hoffman
Conway, NH

1D X Mark III, Many lenses, Pixma PRO-100, Pixma TR8620a, LR Classic
Avatar
click here to view the press release
Announcements